apiVersion: v1
kind: Pod
metadata:
  name: volume-config-pod
spec:
  restartPolicy: Never
  containers:
  - name: volume-config-container
    image: busybox
    command: [ "/bin/sh", "-c", "while [ true ] ; do ls /etc/certs; printf \"\n\"; sleep 1 ; done;" ]
    volumeMounts:
    - name: config-volume
      mountPath: /etc/certs
  volumes:
  - name: config-volume
    configMap:
      name: letsencrypt-ca-configmap